Package org.jbpm.workflow.core.impl

## Class DroolsConsequenceAction

- java.lang.Object
- - org.jbpm.workflow.core.DroolsAction
  - - org.jbpm.workflow.core.impl.DroolsConsequenceAction

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.drools.core.spi.Wireable`

      public class DroolsConsequenceAction
      extends DroolsAction
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Wireable

      `org.drools.core.spi.Wireable.Immutable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsConsequenceAction()` |
    `DroolsConsequenceAction​(String dialect, String consequence)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getConsequence()` |
    `String` | `getDialect()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setConsequence​(String consequence)` |
    `void` | `setDialect​(String dialect)` |
    `String` | `toString()` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class org.jbpm.workflow.core.DroolsAction

      `getMetaData, getName, setMetaData, setName, wire`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsConsequenceAction

          public DroolsConsequenceAction()

    - #### DroolsConsequenceAction

          public DroolsConsequenceAction​(String dialect,
                                         String consequence)

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `DroolsAction`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `DroolsAction`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### setConsequence

          public void setConsequence​(String consequence)

    - #### getConsequence

          public String getConsequence()

    - #### setDialect

          public void setDialect​(String dialect)

    - #### getDialect

          public String getDialect()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`